## org.biojava.bio.dp
Interface ModelInState

All Known Implementing Classes:
  SimpleModelInState

public interface ModelInState
extends State, Trainable

A state that contains an entire sub-model.

Method Summary
`MarkovModel` `getModel()` The model that is inside this state.

Methods inherited from interface org.biojava.bio.dp.Trainable
`registerWithTrainer`

Methods inherited from interface org.biojava.bio.symbol.AtomicSymbol
`getMatches`

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getName, getToken`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Method Detail

### getModel

    public MarkovModel getModel()

  The model that is inside this state.